<?php

namespace App\JsonRpc;

interface NewsServiceInterface
{

    /**
     * @param array $data
     */
    public function getCategoryList(array $data);

    /**
     * @param array $data
     */
    public function myCategoryList(array $data);
    /**
     * @param array $data
     */
    public function categoryList(array $data);

    /**
     * @param array $data
     */
    public function addCategory(array $data);

    /**
     * @param array $data
     */
    public function delCategory(array $data);

    /**
     * @param array $data
     */
    public function updateCategory(array $data);

    /**
     * @param array $data
     */
    public function getArticleList(array $data);

    /**
     * @param array $data
     */
    public function addArticle(array $data);

    /**
     * @param array $data
     */
    public function delArticle(array $data);
    /**
     * @param array $data
     */
    public function updateArticle(array $data);
    /**
     * @param array $data
     */
    public function getArticleInfo(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getCategoryInfo(array $data);
    /**
     * @param array $data
     *
     */
    public function getWebsiteArticlett(array $data);
    /**
     * @param array $data
     */
    public function getWebsiteModelArticles(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function upArticleStatus(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteArticleList(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function selectWebsiteArticleInfo(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteSurvey(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function addWebsiteSurveyOption(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function addWebsiteSurveyVote(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getSurveyList(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getSurveyInfo(array $data);
     /**
     * @param array $data
     * @return mixed
     */
    public function selectWebsiteArticle(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function checkCategoryName(array $data);

    //20250226  产品列表
    public function getGoodList(array $data);
    public function getGoodInfo(array $data);
    public function addGood(array $data);
    public function updateGood(array $data);
    public function delGood(array $data);
    //20250226  产品列表
    //20250306  求职信息
    public function getJobHuntingList(array $data);
    public function getJobHuntingInfo(array $data);
    public function addJobHunting(array $data);
    public function updateJobHunting(array $data);
    public function delJobHunting(array $data);
    public function getJobHuntingData(array $data);
    //20250306  求职信息

     /**
     * @param array $data
     * @return mixed
     */
    public function getJobRecruitingList(array $data);
      /**
     * @param array $data
     * @return mixed
     */
    public function getJobRecruitingInfo(array $data);
     /**
     * @param array $data
     * @return mixed
     */
    public function addJobRecruiting(array $data);

     /**
     * @param array $data
     * @return mixed
     */
    public function getJobRecruitingArea(array $data);
     /**
     * @param array $data
     * @return mixed
     */
    public function getIndustry(array $data);
     /**
     * @param array $data
     * @return mixed
     */
    public function getPositionList(array $data);
     /**
     * @param array $data
     * @return mixed
     */
    public function getJobNature(array $data);
     /**
     * @param array $data
     * @return mixed
     */
    public function getExperience(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getEducation(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getSalary(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getLanguage(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getLevel(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getCompanySize(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getCompanyNature(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function upJobRecruiting(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function delJobRecruiting(array $data);
}
